summaryrefslogtreecommitdiffstats
path: root/source/d/python
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/d/python
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to '')
-rwxr-xr-xsource/d/python-setuptools/python-setuptools.SlackBuild75
-rw-r--r--source/d/python-setuptools/slack-desc19
-rwxr-xr-xsource/d/python/python.SlackBuild6
-rw-r--r--source/d/python/python.x86_64.diff84
4 files changed, 134 insertions, 50 deletions
diff --git a/source/d/python-setuptools/python-setuptools.SlackBuild b/source/d/python-setuptools/python-setuptools.SlackBuild
new file mode 100755
index 000000000..b867d3669
--- /dev/null
+++ b/source/d/python-setuptools/python-setuptools.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Copyright 2013-2014 Audrius Kažukauskas <audrius@neutrino.lt>
+# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=python-setuptools
+VERSION=${VERSION:-$(echo setuptools-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+SRCNAM=setuptools
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+rm -f setuptools/*.exe
+python setup.py install --root=$PKG
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a CHANGES.rst PKG-INFO README.rst docs/*.txt \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \;
+
+# If there's a CHANGES.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat CHANGES.rst | head -n 1000 > $DOCSDIR/CHANGES.rst
+ touch -r CHANGES.rst $DOCSDIR/CHANGES.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/d/python-setuptools/slack-desc b/source/d/python-setuptools/slack-desc
new file mode 100644
index 000000000..6dcce3c61
--- /dev/null
+++ b/source/d/python-setuptools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-setuptools: python-setuptools (a collection of enhancements to Python distutils)
+python-setuptools:
+python-setuptools: This is a full featured library designed to facilitate packaging
+python-setuptools: Python projects. Features include Python package and module
+python-setuptools: definitions, distribution package metadata, test hooks, project
+python-setuptools: installation, and platform-specific details.
+python-setuptools:
+python-setuptools:
+python-setuptools:
+python-setuptools:
+python-setuptools:
diff --git a/source/d/python/python.SlackBuild b/source/d/python/python.SlackBuild
index 1afb586a3..09a27a21e 100755
--- a/source/d/python/python.SlackBuild
+++ b/source/d/python/python.SlackBuild
@@ -25,14 +25,14 @@ PKGNAM=python
SRCNAM=Python
VERSION=$(echo $SRCNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
BRANCH_VERSION=$(echo $VERSION | cut -f 1,2 -d . )
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -47,7 +47,7 @@ mkdir -p $TMP $PKG
# Don't set any SLKCFLAGS here, or OPT="$SLKCFLAGS" before the ./configure.
# Python gets the compile options right without any help.
-if [ "$ARCH" = "i486" ]; then
+if [ "$ARCH" = "i586" ]; then
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
LIBDIRSUFFIX=""
diff --git a/source/d/python/python.x86_64.diff b/source/d/python/python.x86_64.diff
index 0e7c6c45e..e3a2af8ea 100644
--- a/source/d/python/python.x86_64.diff
+++ b/source/d/python/python.x86_64.diff
@@ -1,6 +1,6 @@
-diff -uar Python-2.7.2.orig/Lib/distutils/command/install.py Python-2.7.2/Lib/distutils/command/install.py
---- Python-2.7.2.orig/Lib/distutils/command/install.py 2011-06-11 18:46:24.000000000 +0300
-+++ Python-2.7.2/Lib/distutils/command/install.py 2011-06-13 12:29:32.239106481 +0300
+diff -Nur Python-2.7.9.orig/Lib/distutils/command/install.py Python-2.7.9/Lib/distutils/command/install.py
+--- Python-2.7.9.orig/Lib/distutils/command/install.py 2014-12-10 09:59:34.000000000 -0600
++++ Python-2.7.9/Lib/distutils/command/install.py 2014-12-11 21:14:11.560186033 -0600
@@ -41,15 +41,15 @@
INSTALL_SCHEMES = {
@@ -21,10 +21,10 @@ diff -uar Python-2.7.2.orig/Lib/distutils/command/install.py Python-2.7.2/Lib/di
'headers': '$base/include/python/$dist_name',
'scripts': '$base/bin',
'data' : '$base',
-diff -uar Python-2.7.2.orig/Lib/distutils/sysconfig.py Python-2.7.2/Lib/distutils/sysconfig.py
---- Python-2.7.2.orig/Lib/distutils/sysconfig.py 2011-06-11 18:46:24.000000000 +0300
-+++ Python-2.7.2/Lib/distutils/sysconfig.py 2011-06-13 12:29:32.239106481 +0300
-@@ -115,7 +115,7 @@
+diff -Nur Python-2.7.9.orig/Lib/distutils/sysconfig.py Python-2.7.9/Lib/distutils/sysconfig.py
+--- Python-2.7.9.orig/Lib/distutils/sysconfig.py 2014-12-10 09:59:34.000000000 -0600
++++ Python-2.7.9/Lib/distutils/sysconfig.py 2014-12-11 21:14:45.394770718 -0600
+@@ -120,7 +120,7 @@
if os.name == "posix":
libpython = os.path.join(prefix,
@@ -33,10 +33,10 @@ diff -uar Python-2.7.2.orig/Lib/distutils/sysconfig.py Python-2.7.2/Lib/distutil
if standard_lib:
return libpython
else:
-diff -uar Python-2.7.2.orig/Lib/site.py Python-2.7.2/Lib/site.py
---- Python-2.7.2.orig/Lib/site.py 2011-06-11 18:46:25.000000000 +0300
-+++ Python-2.7.2/Lib/site.py 2011-06-13 12:29:32.239106481 +0300
-@@ -300,13 +300,13 @@
+diff -Nur Python-2.7.9.orig/Lib/site.py Python-2.7.9/Lib/site.py
+--- Python-2.7.9.orig/Lib/site.py 2014-12-10 09:59:40.000000000 -0600
++++ Python-2.7.9/Lib/site.py 2014-12-11 21:15:39.365108237 -0600
+@@ -288,13 +288,13 @@
if sys.platform in ('os2emx', 'riscos'):
sitepackages.append(os.path.join(prefix, "Lib", "site-packages"))
elif os.sep == '/':
@@ -44,7 +44,8 @@ diff -uar Python-2.7.2.orig/Lib/site.py Python-2.7.2/Lib/site.py
+ sitepackages.append(os.path.join(prefix, "lib64",
"python" + sys.version[:3],
"site-packages"))
- sitepackages.append(os.path.join(prefix, "lib", "site-python"))
+- sitepackages.append(os.path.join(prefix, "lib", "site-python"))
++ sitepackages.append(os.path.join(prefix, "lib64", "site-python"))
else:
sitepackages.append(prefix)
- sitepackages.append(os.path.join(prefix, "lib", "site-packages"))
@@ -52,9 +53,9 @@ diff -uar Python-2.7.2.orig/Lib/site.py Python-2.7.2/Lib/site.py
if sys.platform == "darwin":
# for framework builds *only* we add the standard Apple
# locations.
-diff -uar Python-2.7.2.orig/Lib/sysconfig.py Python-2.7.2/Lib/sysconfig.py
---- Python-2.7.2.orig/Lib/sysconfig.py 2011-06-11 18:46:25.000000000 +0300
-+++ Python-2.7.2/Lib/sysconfig.py 2011-06-13 12:29:32.240106474 +0300
+diff -Nur Python-2.7.9.orig/Lib/sysconfig.py Python-2.7.9/Lib/sysconfig.py
+--- Python-2.7.9.orig/Lib/sysconfig.py 2014-12-10 09:59:40.000000000 -0600
++++ Python-2.7.9/Lib/sysconfig.py 2014-12-11 21:16:44.487308865 -0600
@@ -7,20 +7,20 @@
_INSTALL_SCHEMES = {
@@ -99,10 +100,10 @@ diff -uar Python-2.7.2.orig/Lib/sysconfig.py Python-2.7.2/Lib/sysconfig.py
'include': '{userbase}/include/python{py_version_short}',
'scripts': '{userbase}/bin',
'data' : '{userbase}',
-diff -uar Python-2.7.2.orig/Makefile.pre.in Python-2.7.2/Makefile.pre.in
---- Python-2.7.2.orig/Makefile.pre.in 2011-06-11 18:46:26.000000000 +0300
-+++ Python-2.7.2/Makefile.pre.in 2011-06-13 12:29:32.240106474 +0300
-@@ -97,7 +97,7 @@
+diff -Nur Python-2.7.9.orig/Makefile.pre.in Python-2.7.9/Makefile.pre.in
+--- Python-2.7.9.orig/Makefile.pre.in 2014-12-10 09:59:50.000000000 -0600
++++ Python-2.7.9/Makefile.pre.in 2014-12-11 21:16:59.515124398 -0600
+@@ -106,7 +106,7 @@
MANDIR= @mandir@
INCLUDEDIR= @includedir@
CONFINCLUDEDIR= $(exec_prefix)/include
@@ -111,20 +112,9 @@ diff -uar Python-2.7.2.orig/Makefile.pre.in Python-2.7.2/Makefile.pre.in
# Detailed destination directories
BINLIBDEST= $(LIBDIR)/python$(VERSION)
-diff -uar Python-2.7.2.orig/Modules/getpath.c Python-2.7.2/Modules/getpath.c
---- Python-2.7.2.orig/Modules/getpath.c 2011-06-11 18:46:27.000000000 +0300
-+++ Python-2.7.2/Modules/getpath.c 2011-06-13 12:29:32.240106474 +0300
-@@ -117,8 +117,8 @@
- #endif
-
- #ifndef PYTHONPATH
--#define PYTHONPATH PREFIX "/lib/python" VERSION ":" \
-- EXEC_PREFIX "/lib/python" VERSION "/lib-dynload"
-+#define PYTHONPATH PREFIX "/lib64/python" VERSION ":" \
-+ EXEC_PREFIX "/lib64/python" VERSION "/lib-dynload"
- #endif
-
- #ifndef LANDMARK
+diff -Nur Python-2.7.9.orig/Modules/getpath.c Python-2.7.9/Modules/getpath.c
+--- Python-2.7.9.orig/Modules/getpath.c 2014-12-10 09:59:55.000000000 -0600
++++ Python-2.7.9/Modules/getpath.c 2014-12-11 21:18:16.840175232 -0600
@@ -129,7 +129,7 @@
static char exec_prefix[MAXPATHLEN+1];
static char progpath[MAXPATHLEN+1];
@@ -134,7 +124,7 @@ diff -uar Python-2.7.2.orig/Modules/getpath.c Python-2.7.2/Modules/getpath.c
static void
reduce(char *dir)
-@@ -528,7 +528,7 @@
+@@ -543,7 +543,7 @@
}
else
strncpy(zip_path, PREFIX, MAXPATHLEN);
@@ -143,7 +133,7 @@ diff -uar Python-2.7.2.orig/Modules/getpath.c Python-2.7.2/Modules/getpath.c
bufsz = strlen(zip_path); /* Replace "00" with version */
zip_path[bufsz - 6] = VERSION[0];
zip_path[bufsz - 5] = VERSION[2];
-@@ -538,7 +538,7 @@
+@@ -553,7 +553,7 @@
fprintf(stderr,
"Could not find platform dependent libraries <exec_prefix>\n");
strncpy(exec_prefix, EXEC_PREFIX, MAXPATHLEN);
@@ -152,19 +142,19 @@ diff -uar Python-2.7.2.orig/Modules/getpath.c Python-2.7.2/Modules/getpath.c
}
/* If we found EXEC_PREFIX do *not* reduce it! (Yet.) */
-diff -uar Python-2.7.2.orig/setup.py Python-2.7.2/setup.py
---- Python-2.7.2.orig/setup.py 2011-06-11 18:46:28.000000000 +0300
-+++ Python-2.7.2/setup.py 2011-06-13 12:29:32.241106466 +0300
-@@ -369,7 +369,7 @@
-
+diff -Nur Python-2.7.9.orig/setup.py Python-2.7.9/setup.py
+--- Python-2.7.9.orig/setup.py 2014-12-10 10:00:01.000000000 -0600
++++ Python-2.7.9/setup.py 2014-12-11 21:19:37.094190107 -0600
+@@ -440,7 +440,7 @@
def detect_modules(self):
# Ensure that /usr/local is always used
-- add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
-+ add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib64')
- add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
- self.add_multiarch_paths()
-
-@@ -677,11 +677,11 @@
+ if not cross_compiling:
+- add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
++ add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib64')
+ add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+ if cross_compiling:
+ self.add_gcc_paths()
+@@ -762,11 +762,11 @@
elif curses_library:
readline_libs.append(curses_library)
elif self.compiler.find_library_file(lib_dirs +
@@ -178,7 +168,7 @@ diff -uar Python-2.7.2.orig/setup.py Python-2.7.2/setup.py
extra_link_args=readline_extra_link_args,
libraries=readline_libs) )
else:
-@@ -715,8 +715,8 @@
+@@ -801,8 +801,8 @@
if krb5_h:
ssl_incs += krb5_h
ssl_libs = find_library_file(self.compiler, 'ssl',lib_dirs,